@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300;400;500;600;700&display=swap');

:root{
    --black: #00ced1;
    --white : #ffffff;
    --box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}
*{
    font-family: 'Quicksand', sans-serif;
    margin: 0; padding: 0;
    box-sizing: border-box;
    outline: none;
    border: none;
    text-decoration: none;
    transition: .2s linear;
}
html{
    font-size: 62.5%;   
    overflow-x: hidden;
    scroll-padding-top: 7rem;
    scroll-behavior: smooth;
}
html::-webkit-scrollbar{
    width: .8rem;
}
html::-webkit-scrollbar-track{
    background: transparent;
}
html::-webkit-scrollbar-thumb{
    background-color: var(--white);
    border-radius: 5rem;
}

.header{
    top: 0;right: 0;left: 0;
    background-color: var(--white);
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    padding: 1.4rem 7%;
    z-index: 999;
}
.header .logoContent{
    display: flex;
    align-items: center;
}
.header .logoContent .logo img{
    height: 4rem;
}
.header .logoContent .logoName {
    color: var(--black);
    font-size: 2rem;
    font-weight: bolder;
}

.header .navbar a{
    font-size: 2rem;
    margin-right: 3rem;
    color: var(--black);
    font-weight: bold;
}
.header .navbar a:hover{
    border-bottom: .1rem solid var(--black);
    padding-bottom: .4rem;
}
.header .icon i{
    font-size: 2rem;
    margin-right: 2rem;
    color: var(--black);
    cursor: pointer;
}

.header .search{
    display: none;
    top: 100%;
    margin: 1.5rem 7%;
    background-color: transparent;
    width: 50%;
    right: 0;
    height: 5rem;
    position:  absolute;

}
.header .search input{
    width: 100%;
    height: 100%;
    font-size: 1.5rem;
    background-color: var(--white);
    color: var(--black);
    margin-right: 7%;
    border-radius: 1rem;
    padding: 0.5rem 1rem;
    box-shadow: var(--box-shadow);
}
.header .search.active{
    display: inline-block;
}
#menu-bar{
    display: none;
}


.home {
    min-height: 100vh;
    display: flex;
    align-items: center;
    background: url(images/back.png) no-repeat;
    background-size: cover;
    background-position: center center;
}
.home .homeContent{
    width: 50%;
    float: left;
    text-align: center;
    padding: 4rem;
}
.home .homeContent h2{
    font-size: 7rem;
    font-weight: bolder;
    margin-bottom: 2rem;
    line-height: 7rem;
    color: var(--black);
    text-shadow: var(--box-shadow);
}
.home .homeContent p{
    font-size: 1.8rem;
    line-height: 2;
    margin-bottom: 2rem;
}
.home .homeContent .home-btn{
    height: 3rem;
}
.home .homeContent .home-btn button{
    font-size: 1.8rem;
    background-color: var(--black);
    color: var(--white);
    border-radius: .7rem;
    padding: .7rem 2.4rem;
    cursor: pointer;
}
.home .homeContent .home-btn button:hover{
    font-size: 2rem;
}
section{
    padding: 2rem 7%;
}
.heading{
    text-align: center;
    font-size: 2.6rem;
    margin-bottom: 3rem;
    color: var(--black);
}

.product .product-row{
    margin-bottom: 5rem;
    display: flex;
    align-items: center;
}
.product .product-row .box{
    display: flex;
    flex-direction: column;
    width: 50rem;
    background-color: var(--white);
    align-items: center;
    text-align: center;
    padding: 2rem;
    gap: 1.5rem;
    border-radius: 3rem;
    margin-right: 3rem;
}
.product .product-row .img img{
    height: 100%;
    width: 100%;
}
.product .product-row .img img:hover{
    transform: scale(1.1);
}
.product .product-row .content {
    margin-bottom: 4rem;
}
.product .product-row .product-content h3{
    font-size: 4rem;
    color: var(--black);
}
.product .product-row .product-content p{
    font-size: 1.5rem;
    line-height: 1.6;
    color: var(--black);
}
.product .product-row .product-content .orderNow{
    height: 3rem;
    margin-top: 2rem;
    margin-bottom: 3rem;
}
.product .product-row .product-content .orderNow button{
    font-size: 1.8rem;
    background-color: var(--black);
    color: var(--white);
    border-radius: .7rem;
    padding: .7rem 2rem;
    cursor: pointer;
}
.product .product-row .product-content .orderNow button:hover{
    font-size: 2rem;
}

.blogs{
    background: url(images/backGround.png) no-repeat;
    background-size: cover;
    background-position: center center;
}
.blogs  .blogs-row .box {
    display: flex;
    align-items: center;
    background-color: var(--white);
    flex-wrap: wrap;
}
.blogs .blogs-row .box .img{
    flex: 1 1 45rem;
}
.blogs .blogs-row .box .img img{
    width: 100%;
    padding: 5rem;
}
.blogs .blogs-row .box .content{
    flex: 1 1 45rem;
    padding: 2rem;
}
.blogs .blogs-row .box .content h3{
    font-size: 3.5rem;
    color: var(--black);
    text-shadow: var(--box-shadow);

}
.blogs .blogs-row .box .content p{
    font-size: 1.6rem;
    color: var(--black);
    padding: 1rem 0;
    line-height: 1.8;
    
}
.blogs .blogs-row .box .content a{
    font-size: 2rem;
    cursor: pointer;
}
.blogs .blogs-row .box .content a:hover{
    color: var(--black);
    text-shadow: var(--box-shadow);
}
 
.newsletter{
    background: url(images/new.jpg) no-repeat;
    background-size: cover;
    background-position: center center;
    background-attachment: fixed;
}
.newsletter form{
    max-width: 45rem;
    text-align: center;
    padding: 5rem 0;
}
.newsletter form h3{
    font-size: 3rem;
    color: var(--white);
    padding-bottom: .7rem;
}
.newsletter form .box{
    width: 100%;
    margin: .7rem 0;
    padding: 1rem 1.2rem;
    color: var(--black);
    border-radius: .5rem;
}
.newsletter form .box2{
    width: 30%;
    font-size: 1.5rem;
    margin-top: 1rem;
    padding: .5rem .5rem;
    color: var(--black);
    background: var(--white);
    border-radius: 3rem;
    cursor:pointer;
}
.newsletter form .box2:hover{
    color: var(--white);
    background-color: var(--black);
    outline: .1rem solid var(--white);
}

.review .review-row{
    display: flex;
    flex-direction: column ;
    align-items: center;
    
}
.review .review-row .box{
    width: 50%; 
    margin-bottom: 3rem;
    padding: 3rem;
    border-radius: 3rem;
    background-color: var(--white);
    box-shadow: var(--box-shadow);
}

.review .review-row .box .client-review{
    margin-bottom: 3rem;
}
.review .review-row .box .client-review p{
    text-align: center;
    font-size: 2.5rem;
    line-height: 1.5;
}
.review .review-row .box .client-info{
    display: flex;
    align-items: center;
}
.review .review-row .box .client-info .img{
    padding-right: 3rem;
}
.review .review-row .box .client-info .img img{
    width: 7rem;
    height: 7rem;
    clip-path: circle(50% at 50% 50%);
}

.review .review-row .box .client-info .clientDetailed h3{
    font-size: 2.5rem;

}
.review .review-row .box .client-info .clientDetailed p{
    font-size: 1.5rem;
}

.new-section{
    font-size: 105px;
}
.form-contact{
    float: right;
    text-align: center;
}

.mapa{
    z-index: -800;   
}

.boton.boton-negro {
    width: 100px;
    height: 50px;
    background-color: black;
    color: white;
    font-size: 20px;
    font-weight: bold;
  }

  .boton.boton-negro:hover {
    background-color: white;
    color: black;
  }

#contactenos {
    position:relative;
    z-index: 300;
    height: 600px;
    
  }
  
  #contactenos iframe {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
  }
  
  #contactenos form {
    padding: 45px;
    background-color: #00ced1;
    width: 60%;
    justify-content: right;
    margin-left: 45%;
    margin-top: 10%;
  }
  
  #contactenos #form .form-block {
    width: 100%;
    margin-bottom: 15px;
  }
  
  #contactenos #form .form-block .form-control {
    display: block;
    height: 40px;
    font-size: 16px;
    width: 100%;
    padding: 5px 10px;
  }
  
  #contactenos #form .form-block textarea {
    display: block;
    height: 100px;
    font-size: 16px;
    border: 3px solid rgb(255, 0, 179);
    width: 100%;
    padding: 5px 10px;
    /*No se puede dimensionar el textarea*/
    resize: none;
  }
  
  #contactenos #form .form-block.bloque-ultimo {
    margin-bottom: 0;
  }

  .formulario-input-error {
    font-size: 12px;
    margin-bottom: 0;
    color: black;
    display: none;
  }
  
  .formulario-input-error-activo {
    display: block;
  }
  
  .formulario-mensaje-exito {
    font-size: 14px;
    color: white;
    display: none;
  }
  
  .formulario-mensaje-exito-activo {
    display: block;
  }
  
  .form-control-error {
    border: 3px solid rgb(255, 0, 191);
  }
  



.footer {
    background: url(images/backGround.png) no-repeat;
    background-size: cover;
    background-position: center center;
}
.footer .box-container{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
    gap: 1.5rem;
    padding: 2rem 1rem;
}
.footer .box-container .mainBox .content{
    display: flex;
    align-items: center;
    margin-bottom: 2rem;
}
.footer .box-container .mainBox .content h1{
    font-size: 2rem;
    color: var(--black);
}
.footer .box-container .mainBox p{
    font-size: 1.7rem;
    line-height: 1.3;
    margin-bottom: 2rem;
}
.footer .box-container .box h3{
    font-size: 2.2rem;
    color: var(--black);
    padding: 1rem 0;
}
.footer .box-container .box a{
    display: block;
    font-size: 1.6rem;
    color: var(--black);
    padding: 1rem 0;
}
.footer .box-container .box a i{
    padding-right: .5rem;
    color: var(--black);
}
.footer .box-container .box a:hover i{
    padding-right: 2rem;
}

.footer .share{
    padding: 1rem 0;
    text-align: center;
}
.footer .share a{
    height: 4rem;
    width: 4rem;
    line-height: 4rem;
    font-size: 2rem;
    color: var(--white);
    background: var(--black);
    margin: 0 .3rem;
    border-radius: 50%;

}
.footer .share a:hover{
    background: var(--white);
    color: var(--black);
}
.footer .credit{
    font-size: 2rem;
    margin-top: 2rem;
    padding-bottom: 2rem;
    color: var(--black);
    text-align: center;
    
}

.swiper-pagination-bullet{
    background-color: var(--black);
}
.swiper-button-next{
    color: var(--black);
}
.swiper-button-prev{
    color: var(--black);
}


/* media queries for web responsive */

@media (max-width:991px){
    html{
        font-size: 55%;
    }
    .header{
        padding: 1.3rem 3rem;
    }
    .home .homeContent{
        margin-left: 0;
        width: 80%;
    }
}

@media (max-width:768px) {
    #menu-bar{
        display: inline-block;
    }
    .header .navbar{
        position: absolute;
        top: 100%;
        right: -100%;
        width: 25rem;
        background-color: var(--white);
        height: 80vh;
    }
    .header .navbar.active{
        right: 0;
    }
    .header .navbar a{
        display: block;
        font-size: 2rem;
        color: black;
        margin: 1.5rem;
    }

    .home .homeContent{
        margin-left: 0;
        width: 90%;
    }
    form .boton.boton-negro {
        width: 100%;
      }

      #contactenos form {
          width: 100%;
          margin-top: 0px;
        margin-left:0px;
     
      }

      #contactenos {
        padding: 0;
        margin-bottom: 10%;
      }
    
      #contactenos iframe {
        position: relative;
        height: 50vw;
        margin-top: 0px;
        margin-right:0px
      }
}

@media (max-width:600px){
    html{
        font-size: 50%;
    }
}